authentication
Select Organization
POST
/
v1
/
auth
/
organizations
/
select
Select Organization
curl --request POST \
--url https://api.aixy-gateway.com/v1/auth/organizations/select \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization_id": "<string>"
}
'import requests
url = "https://api.aixy-gateway.com/v1/auth/organizations/select"
payload = { "organization_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({organization_id: '<string>'})
};
fetch('https://api.aixy-gateway.com/v1/auth/organizations/select', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"person": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"organizations": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"user_id": "<string>",
"role": "<string>",
"authentication_required": "sso"
}
],
"account": {
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"object": "organization"
},
"user": {
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"object": "organization.user",
"role_label": "<string>"
},
"permissions": [
"<string>"
],
"expires_at": "<string>"
},
"expires_at": "<string>",
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"object": "organization"
},
"user": {
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"object": "organization.user",
"role_label": "<string>"
},
"permissions": [
"<string>"
],
"object": "auth.session"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Organization session token returned by the authentication API.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allowed value:
"auth.session"⌘I
Select Organization
curl --request POST \
--url https://api.aixy-gateway.com/v1/auth/organizations/select \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization_id": "<string>"
}
'import requests
url = "https://api.aixy-gateway.com/v1/auth/organizations/select"
payload = { "organization_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({organization_id: '<string>'})
};
fetch('https://api.aixy-gateway.com/v1/auth/organizations/select', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"person": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"organizations": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"user_id": "<string>",
"role": "<string>",
"authentication_required": "sso"
}
],
"account": {
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"object": "organization"
},
"user": {
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"object": "organization.user",
"role_label": "<string>"
},
"permissions": [
"<string>"
],
"expires_at": "<string>"
},
"expires_at": "<string>",
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"object": "organization"
},
"user": {
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"object": "organization.user",
"role_label": "<string>"
},
"permissions": [
"<string>"
],
"object": "auth.session"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}